jQuery(function($){

	function getFeeds(){
		$('.loader').show();
		$(".feed-collection").html('');

		var findText = 'http://www.crimea9.ru/feed/'.replace(/&quot;/ig, ' ');

		var method = 'load' ;

		var url = /http:\/\/.*?\/.*/.test(findText) ?
		'https://ajax.googleapis.com/ajax/services/feed/'+method+'?v=1.0&num=100&callback=parseRSS&q='+encodeURIComponent(findText):
		'https://ajax.googleapis.com/ajax/services/feed/'+method+'?v=1.0&num=100&callback=parseRSS&q='
		+encodeURIComponent('http://news.google.com/news?q='+findText+'&output=rss');


		var li_template =
			'<a href="{{link}}" class="collection-item" >' +
			'<span class="title"> {{title}}</span>' +
			'<div class="feed-content">{{img}} {{contentSnippet}}</div>'+
			'</a>';

		$.getScript(url);


		window.parseRSS = function(json){

			var entriesn = (method == 'load') ? json["responseData"]["feed"]["entries"] : json["responseData"]["entries"];

			if(json["responseData"] != undefined && entriesn != undefined)
			{
				var rss = '';

				for(var i=0; i<entriesn.length; i++)
				{
					entriesn[i]['class'] =
						i == 0? ' class="first" ' : i == entriesn.length -1 ? ' class="end" ' : '';

					entriesn[i]['img'] = '';

					if(entriesn[i]["mediaGroups"] != undefined && /^image/.test(entriesn[i]["mediaGroups"][0]["contents"][0]["type"]))
					{
						entriesn[i]['img'] = '<img src="'+entriesn[i]["mediaGroups"][0]["contents"][0]["url"]+'" alt="" class="news" />';
					} else {
						try{
							var $img = $(entriesn[i]['content']).find('img').addBack('img').eq(0);
							if($img.length){
								var src = $img.attr('src');
								if(src){
									if(src.indexOf('//') == 0){
										src = 'http:' + src;
									}
									entriesn[i]['img'] = '<img src="'+src+'"/>'
								}
							}
						} catch(e){}
					}

					rss += li_template.replace(/{{(\w+)}}/ig, function(search, key){
						return entriesn[i][key];
					});
				}

				$('.loader').hide();
				$(".feed-collection").html(rss);
			}
		};
	}

	getFeeds();
	$('#refresh-feed').click(getFeeds);
});